> This page is for version v1.0.
> For other versions, use one of these documentation indexes:
> - v2.0 (default): https://docs.cable.tech/v-2-0/llms.txt
> - v1.0: https://docs.cable.tech/v-1-0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cable.tech/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cable.tech/_mcp/server.

# Add person information

POST https://api.cable.tech/v1/retail/person_info
Content-Type: application/json

Retail endpoint for adding new person information

Reference: https://docs.cable.tech/v-1-0/api-reference/customer-data-api/retail/v-1-retail-person-info

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Body (application/json)

This endpoint expects a list of V1RetailPersonInfoPostRequestBodyContentApplicationJsonSchemaItems.

- `list of V1RetailPersonInfoPostRequestBodyContentApplicationJsonSchemaItems`

## Response

### 200

Operation success

- `success` (boolean, required, default: true) — You probably did something wrong if you set this to false

## Types

### V1RetailPersonInfoPostRequestBodyContentApplicationJsonSchemaItems

- `id` (string, required) — Unique external identifier of the person entity, ID stored in your database / back-office
- `timestamp` (datetime, required) — Original timestamp relating to this person entity creation/change
- `is_test_user` (boolean, required, default: false) — If the person is a test user, this should be set to true
- `data` (V1RetailPersonInfoPostRequestBodyContentApplicationJsonSchemaItemsData, required)

### V1RetailPersonInfoPostRequestBodyContentApplicationJsonSchemaItemsData

- `name` (string, optional) — The provided full name of the person
- `first_name` (string, optional) — The provided first name of the person
- `last_name` (string, optional) — The provided last name of the person
- `email` (string, optional) — Contact email for the person
- `address` (Address, optional) — Legal/contact address for the entity
- `phone_number` (string, optional) — Contact telephone number for the person
- `date_of_birth` (date, optional)
- `nationality` (string, optional) — 2 or 3 Character ISO 3166 Country Code (https://w.wiki/4rY)
- `occupation` (string, optional) — Primary occupation of the individual
- `first_transaction_completed_at` (datetime, optional) — Original timestamp of when the person completed their first transaction
- `national_identification_number` (V1RetailPersonInfoPostRequestBodyContentApplicationJsonSchemaItemsDataNationalIdentificationNumber, optional)
- `product_type` (string, optional)
- `custom` (map from string to any, optional) — Custom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.

### Address

Legal/contact address for the entity

- `lines` (list of string, optional)
- `city` (string, optional)
- `state` (string, optional)
- `county` (string, optional)
- `postal_code` (string, optional)
- `country` (string, optional)

### V1RetailPersonInfoPostRequestBodyContentApplicationJsonSchemaItemsDataNationalIdentificationNumber

- `type` (string, required) — Type of national identification number
- `value` (string, required) — National identification number

## Examples

**Request**

```json
[
  {
    "id": "user_987654321",
    "timestamp": "2024-01-15T09:30:00Z",
    "is_test_user": false,
    "data": {}
  }
]
```

**Response**

```json
{
  "success": true
}
```

**SDK Code**

```python
import requests

url = "https://api.cable.tech/v1/retail/person_info"

payload = [
    {
        "id": "user_987654321",
        "timestamp": "2024-01-15T09:30:00Z",
        "is_test_user": False,
        "data": {}
    }
]
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.cable.tech/v1/retail/person_info';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '[{"id":"user_987654321","timestamp":"2024-01-15T09:30:00Z","is_test_user":false,"data":{}}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cable.tech/v1/retail/person_info"

	payload := strings.NewReader("[\n  {\n    \"id\": \"user_987654321\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\",\n    \"is_test_user\": false,\n    \"data\": {}\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cable.tech/v1/retail/person_info")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"id\": \"user_987654321\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\",\n    \"is_test_user\": false,\n    \"data\": {}\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.cable.tech/v1/retail/person_info")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"id\": \"user_987654321\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\",\n    \"is_test_user\": false,\n    \"data\": {}\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.cable.tech/v1/retail/person_info', [
  'body' => '[
  {
    "id": "user_987654321",
    "timestamp": "2024-01-15T09:30:00Z",
    "is_test_user": false,
    "data": {}
  }
]',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cable.tech/v1/retail/person_info");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"id\": \"user_987654321\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\",\n    \"is_test_user\": false,\n    \"data\": {}\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "id": "user_987654321",
    "timestamp": "2024-01-15T09:30:00Z",
    "is_test_user": false,
    "data": []
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cable.tech/v1/retail/person_info")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```